import { TranslateService } from '@aztrix/helpers';
import { BehaviorSubject } from 'rxjs';
import { AbstractRegisterStep } from '../abstract-register-step';
import * as i0 from "@angular/core";
export declare class RegisterAuthenticationStepComponent extends AbstractRegisterStep {
    private _translate;
    private _backendUrl;
    hasBackButton: boolean;
    termsUrl$: import("rxjs").Observable<string>;
    privacyUrl$: import("rxjs").Observable<string>;
    constructor(_translate: TranslateService, _backendUrl: BehaviorSubject<string>);
    get emailForm(): import("@angular/forms").AbstractControl<any, any>;
    get passwordForm(): import("@angular/forms").AbstractControl<any, any>;
    get termsForm(): import("@angular/forms").AbstractControl<any, any>;
    get privacyForm(): import("@angular/forms").AbstractControl<any, any>;
    get newsletterForm(): import("@angular/forms").AbstractControl<any, any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegisterAuthenticationStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegisterAuthenticationStepComponent, "ax-register-authentication-step", never, { "hasBackButton": "hasBackButton"; }, {}, never, never, false, never>;
}
